Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
tools
/
types
List Tool Types
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/tools/types \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/tools/types"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.pathors.com/v1/projects/{projectId}/tools/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Request

GET https://api.pathors.com/v1/projects/{projectId}/tools/types

Path Parameters

projectId
string
required
The project ID

Headers

Authorization
string
required
Bearer token using your developer key

Response

Returns an array of available tool types with their metadata schemas.

Example

curl https://api.pathors.com/v1/projects/{projectId}/tools/types \
  -H "Authorization: Bearer dk_your_key"